package com.liang.service;

import com.liang.entity.BasePstasortcode;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;

/**
 * (BasePstasortcode)表服务接口
 *
 * @author makejava
 * @since 2023-03-04 13:44:02
 */
public interface BasePstasortcodeService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    BasePstasortcode queryById(Integer id);

    /**
     * 分页查询
     *
     * @param basePstasortcode 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    Page<BasePstasortcode> queryByPage(BasePstasortcode basePstasortcode, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param basePstasortcode 实例对象
     * @return 实例对象
     */
    BasePstasortcode insert(BasePstasortcode basePstasortcode);

    /**
     * 修改数据
     *
     * @param basePstasortcode 实例对象
     * @return 实例对象
     */
    BasePstasortcode update(BasePstasortcode basePstasortcode);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 获取所有数据
     *
     * @return
     */
    List<BasePstasortcode> queryAll();
}
